Subject: Re: Working Group Last Call for "Traffic Engineering Extensions to OSPF version 3"

From: Acee Lindem <[email-masked]>
Date: Fri, 1 Jul 2005 11:56:57 -0400

The WG Last Call for the subject document has completed.
However, we are in the midst of some discussions as to whether
or not we should attempt to satisfy some the Automatically
Switched Optical Network (ASON) reqjuirements (Refer to
draft-ietf-camp-gmpls-ason-routing-reqts-05.txt). I have some
minor concerns with this.

 1. While some of the ASON documents have gone through ccamp last calls,
      it still seems to me that the ink may be wet on the ASON 
requirements.

 2. The proposed addition to OSPFv3 TE will satisfy the requirement to
      advertise TE information for multiple data plane elements (i.e., 
LSRs).
      However, there are other requirements (e.g., multi-level area 
hierachy)
      which are not satisfied.

  3. This document is applicable to OSPFv3. However, we need a solution
       that  applies to OSPFv2 as well.
  
  4. If you accept #2, what about backward compatibiliy? Unknown TLV
      types are ignored so it would seem back compatible. However, this
      would have the undesirable side effect of associated TE information
      for all subordinate LSRs with the OSPF router. Hence, it seems at
      least one other new TLV will be required to advertise the new
      Router Address TLV  for OSPFv2.

#2 and #3 make me think we might be better off with a separate OSPF ASON
document. Any other thoughts,

Acee

Acee Lindem wrote:

> A couple weeks back I asked if anyone had any objections
> to last calling this document. Heretofore, I have received
> none. Also, I believe there is at least one commercially
> available implementation.
>
> Hence, without further ado, this is the start of a
> OSPF Working Group last call for:
>
> Traffic Engineering Extensions to OSPF version 3"
> (draft-ietf-ospf-ospfv3-traffic-04.txt).
>
> All comments should be sent to this list by
> 12 AM (EDT), 06/07/2005.
>
> A URL for this Internet-Draft is:
>
> http://www.ietf.org/internet-drafts/draft-ietf-ospf-ospfv3-traffic-05.txt
>
> Thanks,
> Acee
>